Bug 171923 - repodata checksum of comps.xml makes it impossible to change comps in tree
repodata checksum of comps.xml makes it impossible to change comps in tree
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-10-27 16:51 EDT by Jeremy Katz
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-12 11:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-10-27 16:51:28 EDT
Since the repodata contains a sha1sum of comps.xml, it's not possible to change
it without also updating the sum.  This is something that is somewhat likely to
cause confusion/problems for people.  At least, it did for me.  

Upside of the sha1sum is that we can be more certain that the file is in fact
fully downloaded. 

At the bare minimum, we need to change things so that the error message given
for this case is clear instead of just the generic "repo setup problem"
Comment 1 Seth Vidal 2005-10-27 17:55:54 EDT
I'm kinda confused - what's the error here? That if you don't rebuild the
metadata and/or change repomd.xml that the new comps.xml doesn't get picked up?

is that the problem?

it might not be unreasonable to think about doing a --group-file-only option on
createrepo that takes an existing repo and just updates the groupfile specified.

Comment 2 Jeremy Katz 2005-10-27 17:58:19 EDT
Just tweaking the comps file, which previously required doing nothing else, now
requires running createrepo or manually updating the sha1sum in repomd.xml. 
Otherwise, your install fails -- currently with just a catch-all "problem
setting up repo" error
Comment 3 Seth Vidal 2005-10-27 18:04:56 EDT
well the last time tweaking the comps file required nothing was yum 2.0.X

2.2 and 2.4 have required rebuilding the repomd.xml
Comment 4 Jeremy Katz 2005-10-27 18:06:18 EDT
Yes, you'll note this is filed against anaconda for which it _is_ a major change ;)
Comment 5 Seth Vidal 2005-10-28 01:56:19 EDT
What code should I be looking at to see how you've implemented this?
when I check the output from w/i yum I see:

Getting group metadata
Adding group file from repository: local
buildroots.xml            100% |=========================| 3.6 kB    00:00
file:///home/skvidal/tmp/local/repodata/buildroots.xml: [Errno -1] Metadata file
does not match checksum
Trying other mirror.
Error: failure: repodata/buildroots.xml from local: [Errno 256] No more mirrors
to try.

which is being raised up from repos.py in the Repository class.
Urlgrabber is complaining b/c it's finding the wrong checksum for the groups
file it has downloaded.

Is this what you're seeing?
Comment 6 Red Hat Bugzilla 2007-08-21 01:20:52 EDT
User pnasrat@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.